use sea_orm::DbErr;
use thiserror::Error;

#[derive(Error, Debug)]
#[error("opds error")]
pub enum Error {
    /// Error rendering OPDS.
    #[error("opds error")]
    DbError(#[from] DbErr),
    /// Error fetching data from calibre.
    #[error("data error")]
    FetchError(#[from] reqwest::Error),
}
